ghc-exactprint-1.6.1.3: ExactPrint for GHC

Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.Haskell.GHC.ExactPrint.Dump

Contents

- Dumping ASTs

Synopsis

- showAstData :: Data a => BlankSrcSpan -> BlankEpAnnotations -> a -> SDoc
- data BlankSrcSpan
  - = BlankSrcSpan
  - | BlankSrcSpanFile
  - | NoBlankSrcSpan
- data BlankEpAnnotations
  - = BlankEpAnnotations
  - | NoBlankEpAnnotations

# Dumping ASTs

showAstData :: Data a => BlankSrcSpan -> BlankEpAnnotations -> a -> SDoc Source #

Show a GHC syntax tree. This parameterised because it is also used for comparing ASTs in ppr roundtripping tests, where the SrcSpan's are blanked out, to avoid comparing locations, only structure

data BlankSrcSpan Source #

Constructors

BlankSrcSpan |
BlankSrcSpanFile |
NoBlankSrcSpan |

#### Instances

Instances details

Show BlankSrcSpan Source # |
Instance details Defined in Language.Haskell.GHC.ExactPrint.Dump Methods showsPrec :: Int -> BlankSrcSpan -> ShowS Source # show :: BlankSrcSpan -> String Source # showList :: [BlankSrcSpan] -> ShowS Source #
Eq BlankSrcSpan Source # |
Instance details Defined in Language.Haskell.GHC.ExactPrint.Dump Methods (==) :: BlankSrcSpan -> BlankSrcSpan -> Bool Source # (/=) :: BlankSrcSpan -> BlankSrcSpan -> Bool Source #

data BlankEpAnnotations Source #

Constructors

BlankEpAnnotations |
NoBlankEpAnnotations |

#### Instances

Instances details

Show BlankEpAnnotations Source # |
Instance details Defined in Language.Haskell.GHC.ExactPrint.Dump Methods showsPrec :: Int -> BlankEpAnnotations -> ShowS Source # show :: BlankEpAnnotations -> String Source # showList :: [BlankEpAnnotations] -> ShowS Source #
Eq BlankEpAnnotations Source # |
Instance details Defined in Language.Haskell.GHC.ExactPrint.Dump Methods (==) :: BlankEpAnnotations -> BlankEpAnnotations -> Bool Source # (/=) :: BlankEpAnnotations -> BlankEpAnnotations -> Bool Source #